POST https://YOUR-NETWORK-DOMAIN/rest-api/banner/{bannerId}/targeting/disable.do
Disables all targeting for the specified banner. Cannot disable if the banner has blocked entity targeting rules. Requires UPDATE permission on the banner's campaign and MANAGE_DEMAND_TARGETING user permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/banner/7890/targeting/disable.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());